diff -Naur mozilla-1.7.2.old/.mozconfig mozilla-1.7.2.new/.mozconfig
--- mozilla-1.7.2.old/.mozconfig	Thu Jan  1 09:00:00 1970
+++ mozilla-1.7.2.new/.mozconfig	Sat Aug 21 02:12:35 2004
@@ -0,0 +1,23 @@
+ac_add_options --enable-macos-target=10.3
+ac_add_options --enable-prebinding
+ac_add_options --enable-default-toolkit=gtk2
+ac_add_options --enable-xft
+ac_add_options --with-pthreads
+ac_add_options --mandir=@PREFIX@/share/man
+ac_add_options --with-system-jpeg=@PREFIX@
+ac_add_options --with-system-zlib=@PREFIX@
+ac_add_options --with-system-png=@PREFIX@
+ac_add_options --with-system-mng=@PREFIX@
+ac_add_options --with-gccadpi=/usr
+ac_add_options --disable-tests
+ac_add_options --disable-debug
+ac_add_options --disable-short-wchar
+ac_add_options --enable-optimize
+ac_add_options --enable-strip
+ac_add_options --enable-crypto
+ac_add_options --enable-mathml
+ac_add_options --enable-extensions=all
+ac_add_options --enable-xinerama
+ac_add_options --with-default-mozilla-five-home=@PREFIX@/lib/mozilla
+mk_add_options MOZ_MAKE_FLAGS=-j4
+
diff -Naur mozilla-1.7.2.old/config/add-chrome.pl mozilla-1.7.2.new/config/add-chrome.pl
--- mozilla-1.7.2.old/config/add-chrome.pl	Sat Feb 21 07:14:12 2004
+++ mozilla-1.7.2.new/config/add-chrome.pl	Fri Aug 20 20:07:48 2004
@@ -14,7 +14,7 @@
 my $jarFileName = $ARGV[4];
 
 my $win32 = ($^O =~ /((MS)?win32)|cygwin|os2/i) ? 1 : 0;
-my $macos = ($^O =~ /MacOS|darwin/i) ? 1 : 0;
+my $macos = 0;
 my $unix  = !($win32 || $macos) ? 1 : 0;
 
 sub foreignPlatformFile
diff -Naur mozilla-1.7.2.old/config/autoconf.mk.in mozilla-1.7.2.new/config/autoconf.mk.in
--- mozilla-1.7.2.old/config/autoconf.mk.in	Sun Mar 21 11:31:17 2004
+++ mozilla-1.7.2.new/config/autoconf.mk.in	Fri Aug 20 20:11:09 2004
@@ -31,14 +31,14 @@
 prefix		= @prefix@
 exec_prefix	= @exec_prefix@
 bindir		= @bindir@
-includedir	= @includedir@/$(MOZ_APP_NAME)-$(MOZ_APP_VERSION)
+includedir	= @includedir@/$(MOZ_APP_NAME)
 libdir		= @libdir@
 datadir		= @datadir@
 mandir		= @mandir@
-idldir		= @datadir@/idl/$(MOZ_APP_NAME)-$(MOZ_APP_VERSION)
+idldir		= @datadir@/idl/$(MOZ_APP_NAME)
 
-mozappdir	= $(libdir)/$(MOZ_APP_NAME)-$(MOZ_APP_VERSION)
-mredir		= $(libdir)/mre/mre-$(MOZ_APP_VERSION)
+mozappdir	= $(libdir)/$(MOZ_APP_NAME)
+mredir		= $(libdir)/mre/mre
 mrelibdir	= $(mredir)/lib
 
 DIST		= $(DEPTH)/dist
diff -Naur mozilla-1.7.2.old/config/config.mk mozilla-1.7.2.new/config/config.mk
--- mozilla-1.7.2.old/config/config.mk	Sun Apr 11 07:51:37 2004
+++ mozilla-1.7.2.new/config/config.mk	Fri Aug 20 20:36:42 2004
@@ -702,7 +702,7 @@
 ifeq ($(OS_ARCH),Darwin)
 ifdef USE_PREBINDING
 export LD_PREBIND=1
-export LD_SEG_ADDR_TABLE=$(shell cd $(topsrcdir); pwd)/config/prebind-address-table
+export LD_PREBIND_ALLOW_OVERLAP=1
 endif
 ifdef MACOS_SDK_DIR
 export NEXT_ROOT=$(MACOS_SDK_DIR)
@@ -747,7 +747,7 @@
 # Tell the linker where NSS is, if we're building crypto
 ifeq ($(OS_ARCH),Darwin)
 ifeq (,$(findstring crypto,$(MOZ_META_COMPONENTS)))
-MOZ_COMPONENTLIB_EXTRA_LIBS = $(foreach library, $(patsubst -l%, $(LIB_PREFIX)%$(DLL_SUFFIX), $(filter -l%, $(NSS_LIBS))), -dylib_file @executable_path/$(library):$(DIST)/bin/$(library))
+MOZ_COMPONENTLIB_EXTRA_LIBS = $(foreach library, $(patsubst -l%, $(LIB_PREFIX)%$(DLL_SUFFIX), $(filter -l%, $(NSS_LIBS))), -dylib_file @PREFIX@/lib/mozilla/$(library):$(DIST)/bin/$(library))
 endif
 endif
 endif
diff -Naur mozilla-1.7.2.old/config/rules.mk mozilla-1.7.2.new/config/rules.mk
--- mozilla-1.7.2.old/config/rules.mk	Wed May  5 22:44:22 2004
+++ mozilla-1.7.2.new/config/rules.mk	Fri Aug 20 20:07:48 2004
@@ -420,7 +420,7 @@
 ifdef IS_COMPONENT
 EXTRA_DSO_LDOPTS	+= -bundle
 else
-EXTRA_DSO_LDOPTS	+= -dynamiclib -install_name @executable_path/$(SHARED_LIBRARY) -compatibility_version 1 -current_version 1
+EXTRA_DSO_LDOPTS	+= -dynamiclib -install_name \$(mozappdir)/$(SHARED_LIBRARY) -compatibility_version 1 -current_version 1
 endif
 endif
 endif
diff -Naur mozilla-1.7.2.old/configure mozilla-1.7.2.new/configure
--- mozilla-1.7.2.old/configure	Sun Jun  6 03:44:52 2004
+++ mozilla-1.7.2.new/configure	Sat Aug 21 03:41:21 2004
@@ -4976,7 +4976,7 @@
     ;;
 
 *-darwin*)
-    HOST_CFLAGS="$HOST_CFLAGS -DXP_UNIX -DXP_MACOSX -DNO_X11"
+    HOST_CFLAGS="$HOST_CFLAGS -DXP_UNIX"
     HOST_NSPR_MDCPUCFG='\"md/_darwin.cfg\"'
     HOST_OPTIMIZE_FLAGS="${HOST_OPTIMIZE_FLAGS=-O3}"
     ;;
@@ -5207,8 +5207,8 @@
 
 *-darwin*) 
     _PEDANTIC=
-    CFLAGS="$CFLAGS -fpascal-strings -no-cpp-precomp -fno-common"
-    CXXFLAGS="$CXXFLAGS -fpascal-strings -no-cpp-precomp -fno-common"
+    CFLAGS="$CFLAGS -no-cpp-precomp -fno-common"
+    CXXFLAGS="$CXXFLAGS -no-cpp-precomp -fno-common"
     DLL_SUFFIX=".dylib"
     DSO_LDOPTS=''
     STRIP="$STRIP -x -S"
diff -Naur mozilla-1.7.2.old/directory/c-sdk/config/config.mk mozilla-1.7.2.new/directory/c-sdk/config/config.mk
--- mozilla-1.7.2.old/directory/c-sdk/config/config.mk	Mon Feb 24 00:54:18 2003
+++ mozilla-1.7.2.new/directory/c-sdk/config/config.mk	Fri Aug 20 20:07:48 2004
@@ -60,10 +60,10 @@
 
 NFSPWD		= $(MOD_DEPTH)/config/nfspwd
 
-CFLAGS		= $(CC_ONLY_FLAGS) $(OPTIMIZER) $(OS_CFLAGS)\
-		  $(XP_DEFINE) $(DEFINES) $(INCLUDES) $(XCFLAGS)
-CCCFLAGS	= $(CCC_ONLY_FLAGS) $(OPTIMIZER) $(OS_CFLAGS)\
-		  $(XP_DEFINE) $(DEFINES) $(INCLUDES) $(XCFLAGS)
+CFLAGS		= $(CC_ONLY_FLAGS) $(OPTIMIZER) $(XP_DEFINE)\
+		  $(DEFINES) $(INCLUDES) $(XCFLAGS) $(OS_CFLAGS)
+CCCFLAGS	= $(CCC_ONLY_FLAGS) $(OPTIMIZER) $(XP_DEFINE)\
+		  $(DEFINES) $(INCLUDES) $(XCFLAGS) $(OS_CFLAGS)
 # For purify
 NOMD_CFLAGS	= $(CC_ONLY_FLAGS) $(OPTIMIZER) $(NOMD_OS_CFLAGS)\
 		  $(XP_DEFINE) $(DEFINES) $(INCLUDES) $(XCFLAGS)
diff -Naur mozilla-1.7.2.old/directory/c-sdk/configure mozilla-1.7.2.new/directory/c-sdk/configure
--- mozilla-1.7.2.old/directory/c-sdk/configure	Fri Mar 26 10:23:41 2004
+++ mozilla-1.7.2.new/directory/c-sdk/configure	Fri Aug 20 20:07:48 2004
@@ -3401,7 +3401,7 @@
 
         CPU_ARCH=ppc
     fi
-    DSO_LDOPTS='-dynamiclib -compatibility_version 1 -current_version 1 -all_load -install_name @executable_path/$@'
+    DSO_LDOPTS='-dynamiclib -compatibility_version 1 -current_version 1 -all_load -install_name @PREFIX@/lib/mozilla/$@'
     # Use the standard preprocessor (cpp)
     CFLAGS="$CFLAGS -no-cpp-precomp"
     MKSHLIB='$(CC) -arch $(CPU_ARCH) $(DSO_LDOPTS) -o $@'
diff -Naur mozilla-1.7.2.old/fink/applications/Mozilla-address.desktop mozilla-1.7.2.new/fink/applications/Mozilla-address.desktop
--- mozilla-1.7.2.old/fink/applications/Mozilla-address.desktop	Thu Jan  1 09:00:00 1970
+++ mozilla-1.7.2.new/fink/applications/Mozilla-address.desktop	Sun Aug 22 21:36:12 2004
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=Mozilla Addressbook
+Comment=Addressbook from Mozilla Mailnews
+Exec=mozilla -addressbook
+Icon=mozilla-addressbook.xpm
+Terminal=false
+MultipleArgs=false
+Type=Application
+Categories=Application;Network
+StartupNotify=true
diff -Naur mozilla-1.7.2.old/fink/applications/Mozilla-chatzilla.desktop mozilla-1.7.2.new/fink/applications/Mozilla-chatzilla.desktop
--- mozilla-1.7.2.old/fink/applications/Mozilla-chatzilla.desktop	Thu Jan  1 09:00:00 1970
+++ mozilla-1.7.2.new/fink/applications/Mozilla-chatzilla.desktop	Sun Aug 22 21:36:56 2004
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=Chatzilla
+Comment=Mozilla Chatzilla IRC client
+Exec=mozilla -chat
+Icon=mozilla-chatzilla.xpm
+Terminal=false
+MultipleArgs=false
+Type=Application
+Categories=Application;Network
+StartupNotify=true
diff -Naur mozilla-1.7.2.old/fink/applications/Mozilla-editor.desktop mozilla-1.7.2.new/fink/applications/Mozilla-editor.desktop
--- mozilla-1.7.2.old/fink/applications/Mozilla-editor.desktop	Thu Jan  1 09:00:00 1970
+++ mozilla-1.7.2.new/fink/applications/Mozilla-editor.desktop	Sun Aug 22 21:40:48 2004
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=Mozilla Composer
+Comment=HTML editor from Mozilla project
+Exec=mozilla -edit
+Icon=mozilla-editor.xpm
+Terminal=false
+Type=Application
+Categories=Application;Network
+StartupNotify=true
diff -Naur mozilla-1.7.2.old/fink/applications/Mozilla-mail-composer.desktop mozilla-1.7.2.new/fink/applications/Mozilla-mail-composer.desktop
--- mozilla-1.7.2.old/fink/applications/Mozilla-mail-composer.desktop	Thu Jan  1 09:00:00 1970
+++ mozilla-1.7.2.new/fink/applications/Mozilla-mail-composer.desktop	Sun Aug 22 21:39:25 2004
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=Mozilla Mail Composer
+Comment=Mozilla Mail Composer
+Exec=mozilla -compose
+Icon=mozilla-mail-composer.xpm
+Terminal=false
+MultipleArgs=false
+Type=Application
+Categories=Application;Network
+StartupNotify=true
diff -Naur mozilla-1.7.2.old/fink/applications/Mozilla-mail.desktop mozilla-1.7.2.new/fink/applications/Mozilla-mail.desktop
--- mozilla-1.7.2.old/fink/applications/Mozilla-mail.desktop	Thu Jan  1 09:00:00 1970
+++ mozilla-1.7.2.new/fink/applications/Mozilla-mail.desktop	Sun Aug 22 21:42:26 2004
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=Mozilla Mail
+Comment=Mozilla Mail
+Exec=mozilla -mail
+Icon=mozilla-mailnews.xpm
+Terminal=false
+MultipleArgs=false
+Type=Application
+Categories=Application;Network
+StartupNotify=true
diff -Naur mozilla-1.7.2.old/fink/applications/Mozilla-news.desktop mozilla-1.7.2.new/fink/applications/Mozilla-news.desktop
--- mozilla-1.7.2.old/fink/applications/Mozilla-news.desktop	Thu Jan  1 09:00:00 1970
+++ mozilla-1.7.2.new/fink/applications/Mozilla-news.desktop	Sun Aug 22 21:42:30 2004
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=Mozilla News
+Comment=Mozilla News
+Exec=mozilla -news
+Icon=mozilla-mailnews.xpm
+Terminal=false
+MultipleArgs=false
+Type=Application
+Categories=Application;Network
+StartupNotify=true
diff -Naur mozilla-1.7.2.old/fink/applications/Mozilla.desktop mozilla-1.7.2.new/fink/applications/Mozilla.desktop
--- mozilla-1.7.2.old/fink/applications/Mozilla.desktop	Thu Jan  1 09:00:00 1970
+++ mozilla-1.7.2.new/fink/applications/Mozilla.desktop	Sun Aug 22 21:35:17 2004
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=Mozilla Web Browser
+Comment=Browse the World Wide Web
+Exec=mozilla
+Icon=mozilla.xpm
+Terminal=false
+Type=Application
+Categories=Application;Network
+StartupNotify=true
diff -Naur mozilla-1.7.2.old/fink/chrome.d/default mozilla-1.7.2.new/fink/chrome.d/default
--- mozilla-1.7.2.old/fink/chrome.d/default	Thu Jan  1 09:00:00 1970
+++ mozilla-1.7.2.new/fink/chrome.d/default	Fri Aug 20 20:07:48 2004
@@ -0,0 +1,2 @@
+skin,install,select,modern/1.0
+locale,install,select,en-US
diff -Naur mozilla-1.7.2.old/fink/mozilla mozilla-1.7.2.new/fink/mozilla
--- mozilla-1.7.2.old/fink/mozilla	Thu Jan  1 09:00:00 1970
+++ mozilla-1.7.2.new/fink/mozilla	Fri Aug 20 20:07:48 2004
@@ -0,0 +1,99 @@
+#!/bin/sh
+#
+# The contents of this file are subject to the Netscape Public
+# License Version 1.1 (the "License"); you may not use this file
+# except in compliance with the License. You may obtain a copy of
+# the License at http://www.mozilla.org/NPL/
+#
+# Software distributed under the License is distributed on an "AS
+# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
+# implied. See the License for the specific language governing
+# rights and limitations under the License.
+#
+# The Original Code is mozilla.org code.
+#
+# The Initial Developer of the Original Code is Netscape
+# Communications Corporation.  Portions created by Netscape are
+# Copyright (C) 1998 Netscape Communications Corporation. All
+# Rights Reserved.
+#
+# Contributor(s): 
+#
+
+## 
+## Usage:
+##
+## $ mozilla
+##
+## This script is meant to run a mozilla program from the mozilla
+## rpm installation.
+##
+## The script will setup all the environment voodoo needed to make
+## mozilla work.
+
+##
+## Variables
+##
+MOZ_PROGRAM="@PREFIX@/lib/mozilla/mozilla-bin"
+
+##
+## Set MOZILLA_FIVE_HOME
+##
+MOZILLA_FIVE_HOME="@PREFIX@/lib/mozilla"
+export MOZILLA_FIVE_HOME
+
+##
+## Set DYLD_LIBRARY_PATH
+##
+DYLD_LIBRARY_PATH=@PREFIX@/lib/mozilla:$DYLD_LIBRARY_PATH
+export DYLD_LIBRARY_PATH
+
+# If there is no command line argument at all then try to open a new
+# window in an already running instance.
+
+if [ -z "$1" ]; then
+  $MOZ_PROGRAM -remote "openurl(about:blank,new-window)" >/dev/null
+  RETURN_VAL=$?
+  if [ "$RETURN_VAL" -eq "2" ]; then
+    $MOZ_PROGRAM ${1+"$@"}
+    RETURN_VAL=$?
+  fi
+  exit $RETURN_VAL
+fi
+
+# If there's a command line argument but it doesn't begin with a -
+# it's probably a url.  Try to send it to a running instance.
+
+USE_EXIST=0
+opt="$1"
+case "$opt" in
+  -*) ;;
+  *) USE_EXIST=1 ;;
+esac
+
+if [ "${USE_EXIST}" -eq "1" ]; then
+  # check to make sure that the command contains at least a :/ in it.
+  echo $opt | grep -e ':/' 2>/dev/null >/dev/null
+  RETURN_VAL=$?
+  if [ "$RETURN_VAL" -eq "1" ]; then
+    # does it begin with a / ?
+    echo $opt | grep -e '^/' >/dev/null
+    RETURN_VAL=$?
+    if [ "$RETURN_VAL" -eq "0" ]; then
+      opt="file:$opt"
+    elif [ -e `pwd`/$opt ]; then
+      opt="`pwd`/$opt"
+    else
+      opt="http://$opt"
+    fi
+  fi
+  $MOZ_PROGRAM -remote "openurl($opt,new-window)" >/dev/null
+  RETURN_VAL=$?
+  if [ "$RETURN_VAL" -eq "2" ]; then
+    $MOZ_PROGRAM ${1+"$@"}
+    RETURN_VAL=$?
+  fi
+  exit $RETURN_VAL
+fi
+
+$MOZ_PROGRAM ${1+"$@"}
diff -Naur mozilla-1.7.2.old/fink/prefs.js mozilla-1.7.2.new/fink/prefs.js
--- mozilla-1.7.2.old/fink/prefs.js	Thu Jan  1 09:00:00 1970
+++ mozilla-1.7.2.new/fink/prefs.js	Fri Aug 20 20:07:48 2004
@@ -0,0 +1,23 @@
+// XIM style
+pref("xim.input_style", "over-the-spot");
+
+// TryeType
+pref("font.FreeType2.enable", true);
+pref("font.freetype2.shared-library", "@PREFIX@/lib/libfreetype.6.dylib");
+pref("font.FreeType2.autohinted", true);
+pref("font.FreeType2.unhinted", true);
+pref("font.antialias.min",        10);
+pref("font.embedded_bitmaps.max", 1000000);
+pref("font.scale.tt_bitmap.dark_text.min", 64);
+pref("font.scale.tt_bitmap.dark_text.gain", "0.0");
+pref("font.directory.truetype.1", "/Library/Fonts");
+pref("font.directory.truetype.2", "/Network/Library/Fonts");
+pref("font.directory.truetype.3", "/System/Library/Fonts");
+pref("font.directory.truetype.4", "/usr/X11R6/lib/X11/fonts/TTF");
+pref("font.directory.truetype.5", "@PREFIX@/share/fonts/truetype");
+
+// AA with Bitmap scaling.
+pref("font.scale.aa_bitmap.enable", true);
+pref("font.scale.aa_bitmap.always", false);
+pref("font.scale.aa_bitmap.min", 6);
+
diff -Naur mozilla-1.7.2.old/fink/update-mozilla-chrome mozilla-1.7.2.new/fink/update-mozilla-chrome
--- mozilla-1.7.2.old/fink/update-mozilla-chrome	Thu Jan  1 09:00:00 1970
+++ mozilla-1.7.2.new/fink/update-mozilla-chrome	Fri Aug 20 20:07:48 2004
@@ -0,0 +1,24 @@
+#!/bin/sh -e
+
+ulimit -s unlimited || true
+
+MOZILLA_FIVE_HOME=@PREFIX@/lib/mozilla
+CHROME_DIR=@PREFIX@/var/lib/mozilla/chrome.d
+
+export DYLD_LIBRARY_PATH=$MOZILLA_FIVE_HOME
+
+TMPFILE=`tempfile`
+cat ${CHROME_DIR}/* >>${TMPFILE}
+mv ${TMPFILE} ${MOZILLA_FIVE_HOME}/chrome/installed-chrome.txt
+chmod 644 ${MOZILLA_FIVE_HOME}/chrome/installed-chrome.txt
+
+rm -rf ${MOZILLA_FIVE_HOME}/chrome/overlayinfo
+rm -f  ${MOZILLA_FIVE_HOME}/chrome/*.rdf
+rm -f  ${MOZILLA_FIVE_HOME}/component.reg
+rm -f  ${MOZILLA_FIVE_HOME}/components/*.dat
+
+sudo -H ${MOZILLA_FIVE_HOME}/regxpcom || true
+sudo -H ${MOZILLA_FIVE_HOME}/regchrome || true
+
+exit 0
+
diff -Naur mozilla-1.7.2.old/modules/libpref/src/nsPrefService.cpp mozilla-1.7.2.new/modules/libpref/src/nsPrefService.cpp
--- mozilla-1.7.2.old/modules/libpref/src/nsPrefService.cpp	Thu Feb 12 22:09:13 2004
+++ mozilla-1.7.2.new/modules/libpref/src/nsPrefService.cpp	Fri Aug 20 20:07:49 2004
@@ -779,6 +779,7 @@
 #elif defined(XP_BEOS)
       "beos.js"
 #endif
+      , "fink.js"
   };
 
   rv = pref_LoadPrefsInDir(defaultPrefDir, specialFiles, NS_ARRAY_LENGTH(specialFiles));
diff -Naur mozilla-1.7.2.old/nsprpub/configure mozilla-1.7.2.new/nsprpub/configure
--- mozilla-1.7.2.old/nsprpub/configure	Sat Apr 17 07:28:02 2004
+++ mozilla-1.7.2.new/nsprpub/configure	Fri Aug 20 20:13:54 2004
@@ -3305,7 +3305,7 @@
 
         CPU_ARCH=ppc
     fi
-    DSO_LDOPTS='-dynamiclib -compatibility_version 1 -current_version 1 -all_load -install_name @executable_path/$@ -headerpad_max_install_names'
+    DSO_LDOPTS='-dynamiclib -compatibility_version 1 -current_version 1 -all_load -install_name @PREFIX@/lib/mozilla/$@ -headerpad_max_install_names'
     # Use the standard preprocessor (cpp)
     CFLAGS="$CFLAGS -no-cpp-precomp"
     MKSHLIB='$(CC) -arch $(CPU_ARCH) $(DSO_LDOPTS) -o $@'
@@ -3320,9 +3320,6 @@
 
     # Add Mac OS X support for loading CFM & CFBundle plugins
     if test -f /System/Library/Frameworks/Carbon.framework/Carbon; then
-        cat >> confdefs.h <<\EOF
-#define XP_MACOSX 1
-EOF
 
         OS_TARGET=MacOSX
 
@@ -4837,8 +4834,6 @@
 
 
 case $target in
-*-darwin*)
-    ;;
 *)
     echo $ac_n "checking for dlopen in -ldl""... $ac_c" 1>&6
 echo "configure:4845: checking for dlopen in -ldl" >&5
diff -Naur mozilla-1.7.2.old/nsprpub/pr/include/md/_darwin.h mozilla-1.7.2.new/nsprpub/pr/include/md/_darwin.h
--- mozilla-1.7.2.old/nsprpub/pr/include/md/_darwin.h	Thu Nov 27 10:30:44 2003
+++ mozilla-1.7.2.new/nsprpub/pr/include/md/_darwin.h	Fri Aug 20 20:07:49 2004
@@ -55,7 +55,8 @@
 
 #undef  HAVE_STACK_GROWING_UP
 #define HAVE_DLL
-#define USE_MACH_DYLD
+/* #define USE_MACH_DYLD */
+#define USE_DLFCN
 #define _PR_HAVE_SOCKADDR_LEN  
 #define _PR_STAT_HAS_ST_ATIMESPEC
 #define _PR_NO_LARGE_FILES
diff -Naur mozilla-1.7.2.old/nsprpub/pr/src/Makefile.in mozilla-1.7.2.new/nsprpub/pr/src/Makefile.in
--- mozilla-1.7.2.old/nsprpub/pr/src/Makefile.in	Tue Mar 23 09:40:17 2004
+++ mozilla-1.7.2.new/nsprpub/pr/src/Makefile.in	Fri Aug 20 20:07:49 2004
@@ -199,9 +199,9 @@
 endif
 endif
 
-ifeq ($(OS_TARGET),MacOSX)
-OS_LIBS		= -framework CoreServices -framework CoreFoundation
-endif
+#ifeq ($(OS_TARGET),MacOSX)
+#OS_LIBS		= -framework CoreServices -framework CoreFoundation
+#endif
 
 ifdef GC_LEAK_DETECTOR
 EXTRA_LIBS	= -L$(dist_libdir) -lboehm
diff -Naur mozilla-1.7.2.old/nsprpub/pr/src/linking/prlink.c mozilla-1.7.2.new/nsprpub/pr/src/linking/prlink.c
--- mozilla-1.7.2.old/nsprpub/pr/src/linking/prlink.c	Wed Jan 21 04:46:21 2004
+++ mozilla-1.7.2.new/nsprpub/pr/src/linking/prlink.c	Fri Aug 20 20:16:02 2004
@@ -164,7 +164,8 @@
 #if defined(SUNOS4) || defined(DARWIN) || defined(NEXTSTEP) \
     || defined(WIN16) || defined(XP_OS2) \
     || ((defined(OPENBSD) || defined(NETBSD)) && !defined(__ELF__))
-#define NEED_LEADING_UNDERSCORE
+/* On MacOSX 10.3, dlsym does not accept symbols with '_'.
+/* #define NEED_LEADING_UNDERSCORE */
 #endif
 
 #ifdef XP_PC
diff -Naur mozilla-1.7.2.old/security/coreconf/Darwin.mk mozilla-1.7.2.new/security/coreconf/Darwin.mk
--- mozilla-1.7.2.old/security/coreconf/Darwin.mk	Thu Nov 13 10:59:22 2003
+++ mozilla-1.7.2.new/security/coreconf/Darwin.mk	Fri Aug 20 20:18:08 2004
@@ -68,7 +68,7 @@
 ARCH		= darwin
 
 # May override this with -bundle to create a loadable module.
-DSO_LDOPTS	= -dynamiclib -compatibility_version 1 -current_version 1 -install_name @executable_path/$(notdir $@) -headerpad_max_install_names
+DSO_LDOPTS	= -dynamiclib -compatibility_version 1 -current_version 1 -install_name @PREFIX@/lib/mozilla/$(notdir $@) -headerpad_max_install_names
 
 MKSHLIB		= $(CC) -arch $(CPU_ARCH) $(DSO_LDOPTS)
 DLL_SUFFIX	= dylib
diff -Naur mozilla-1.7.2.old/security/nss/cmd/platlibs.mk mozilla-1.7.2.new/security/nss/cmd/platlibs.mk
--- mozilla-1.7.2.old/security/nss/cmd/platlibs.mk	Sun Apr 20 13:23:14 2003
+++ mozilla-1.7.2.new/security/nss/cmd/platlibs.mk	Fri Aug 20 20:07:54 2004
@@ -195,7 +195,7 @@
 endif
 
 ifeq ($(OS_ARCH), Darwin)
-EXTRA_SHARED_LIBS += -dylib_file @executable_path/libsoftokn3.dylib:$(DIST)/lib/libsoftokn3.dylib
+EXTRA_SHARED_LIBS += -dylib_file @PREFIX@/lib/mozilla/libsoftokn3.dylib:$(DIST)/lib/libsoftokn3.dylib
 endif
 
 
diff -Naur mozilla-1.7.2.old/security/nss/lib/smime/config.mk mozilla-1.7.2.new/security/nss/lib/smime/config.mk
--- mozilla-1.7.2.old/security/nss/lib/smime/config.mk	Sun Apr 20 13:23:33 2003
+++ mozilla-1.7.2.new/security/nss/lib/smime/config.mk	Fri Aug 20 20:07:54 2004
@@ -70,7 +70,7 @@
 	$(NULL)
 
 ifeq ($(OS_ARCH), Darwin)
-EXTRA_SHARED_LIBS += -dylib_file @executable_path/libsoftokn3.dylib:$(DIST)/lib/libsoftokn3.dylib
+EXTRA_SHARED_LIBS += -dylib_file @PREFIX@/lib/mozilla/libsoftokn3.dylib:$(DIST)/lib/libsoftokn3.dylib
 endif
 
 endif
diff -Naur mozilla-1.7.2.old/security/nss/lib/ssl/config.mk mozilla-1.7.2.new/security/nss/lib/ssl/config.mk
--- mozilla-1.7.2.old/security/nss/lib/ssl/config.mk	Sun Apr 20 13:23:37 2003
+++ mozilla-1.7.2.new/security/nss/lib/ssl/config.mk	Fri Aug 20 20:07:54 2004
@@ -75,7 +75,7 @@
 endif
 
 ifeq ($(OS_ARCH), Darwin)
-EXTRA_SHARED_LIBS += -dylib_file @executable_path/libsoftokn3.dylib:$(DIST)/lib/libsoftokn3.dylib
+EXTRA_SHARED_LIBS += -dylib_file @PREFIX@/lib/mozilla/libsoftokn3.dylib:$(DIST)/lib/libsoftokn3.dylib
 endif
 
 endif
diff -Naur mozilla-1.7.2.old/themes/Makefile.in mozilla-1.7.2.new/themes/Makefile.in
--- mozilla-1.7.2.old/themes/Makefile.in	Thu Sep 25 21:48:58 2003
+++ mozilla-1.7.2.new/themes/Makefile.in	Fri Aug 20 20:07:54 2004
@@ -36,7 +36,9 @@
 
 # select classic as the default skin
 libs::
-	echo skin,install,select,classic/1.0 >> $(DIST)/bin/chrome/installed-chrome.txt
+# fix lator
+#	echo skin,install,select,classic/1.0 >> $(DIST)/bin/chrome/installed-chrome.txt
 
 install::
-	echo skin,install,select,classic/1.0 >> $(DESTDIR)$(mozappdir)/chrome/installed-chrome.txt
+# fix lator
+#	echo skin,install,select,classic/1.0 >> $(DESTDIR)$(mozappdir)/chrome/installed-chrome.txt
diff -ur mozilla.bak/dist/private/nss/oiddata.h mozilla/dist/private/nss/oiddata.h
--- mozilla.bak/security/nss/lib/pki1/oiddata.h	2002-01-03 21:22:07.000000000 -0800
+++ mozilla/security/nss/lib/pki1/oiddata.h	2005-06-13 15:47:27.000000000 -0700
@@ -39,6 +39,7 @@
 static const char OIDDATA_CVS_ID[] = "@(#) $RCSfile: oiddata.h,v $ $Revision: 1.1 $ $Date: 2002/01/04 05:22:07 $ $Name: MOZILLA_1_7_5_RELEASE $ ; @(#) $RCSfile: oiddata.h,v $ $Revision: 1.1 $ $Date: 2002/01/04 05:22:07 $ $Name: MOZILLA_1_7_5_RELEASE $";
 #endif /* DEBUG */
 
+#include "pki1t.h"
 #ifndef NSSPKI1T_H
 #include "nsspki1t.h"
 #endif /* NSSPKI1T_H */
